Cyberduck Mountain Duck CLI

#5732 closed defect (worksforme)

Transfer disconnect, Reload not functioning

Reported by: SteveGram Owned by: dkocher
Priority: normal Milestone: 4.0.2
Component: ftp Version: 3.8.1
Severity: major Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description (last modified by dkocher)

I am using Version 3.8.1 (7954) on a MacBook Pro 2.55 Core 2 Duo running OSX 10.6.6. For some time now, even with previous OSX revisions, I have found that some form of sleep mode interrupts either uploads or downloads. This shouldn't happen, obviously. Worse, the Transfer report shows "Download Complete" and the status is "0 B of 0 B" transferred. If I try to resume the transfer Cyberduck correctly identifies the interrupted file and it's incomplete size, then when I select it I am instantly told that my transfer is complete.

Here's the report from the Log Drawer. Note I have edited out sensitive server/file information:

220 CrushFTP Server Ready!
FEAT
550 Command not recognized or allowed.
USER NAME
331 Username OK.  Need password.
PASS WORD
230 Password OK.  Connected.
NOOP
200 Command OK. (NOOP)
CWD /remote URL
250 "/remote URL" CWD command successful.
STAT /remote URL
211-status of /Bremote URL:
drwxrwxrwx   1 user     group              170 Jan 01 18:09 Directory 1
-rwxrwxrwx   1 user     group       1046527533 Feb 24 16:24 Target File Name
drwxrwxrwx   1 user     group             1496 Feb 24 13:10 Directory 2
211 End of Status
QUIT
221 Goodbye.

Change History (9)

comment:1 Changed on Feb 26, 2011 at 10:32:34 PM by SteveGram

  • Description modified (diff)

comment:2 Changed on Feb 28, 2011 at 5:20:04 PM by dkocher

Please post the transcript from the log drawer of the Transfers window.

comment:3 Changed on Mar 1, 2011 at 5:40:45 AM by SteveGram

The log I posted above is from the Transfers Window. That's all there was.

Steve

comment:4 Changed on Mar 1, 2011 at 7:57:25 AM by SteveGram

It happened again. This time the download was going on while I was playing a 3D game. It got to about the same point in the download, said it is complete, and yet offers me the ability to Resume without doing anything. Here is the log:

220 CrushFTP Server Ready!
FEAT
550 Command not recognized or allowed.
USER USER_NAME
331 Username OK.  Need password.
PASS ********
230 Password OK.  Connected.
NOOP
200 Command OK. (NOOP)
NOOP
200 Command OK. (NOOP)
CWD /REMOTE_DIRECORY
250 "/LOCAL_DIRECTORY" CWD command successful.
SYST
215 UNIX Type: L8
STAT /REMOTE_DIRECORY
211-status of /REMOTE_DIRECORY:
drwxrwxrwx   1 user     group              170 Jan 01 18:09 REMOTE_DIRECTORY_1
-rwxrwxrwx   1 user     group       1046527533 Feb 24 16:24 REMOTE_FILE
drwxrwxrwx   1 user     group             1496 Feb 24 13:10 REMOTE_DIRECTORY_2
211 End of Status
TYPE I
200 Command ok : Binary type selected.
PASV
227 Entering Passive Mode (174,142,192,54,207,164)
RETR /LOCAL_FILE_PATH
150 Opening BINARY mode data connection for  (1046527533 bytes). ("/REMOTE_FILE_PATH") R E T R
QUIT
220 CrushFTP Server Ready!
FEAT
550 Command not recognized or allowed.
USER USER_NAME
331 Username OK.  Need password.
PASS ********
230 Password OK.  Connected.
QUIT
221 Goodbye.

Last edited on Mar 1, 2011 at 10:06:55 AM by dkocher (previous) (diff)

comment:5 Changed on Mar 1, 2011 at 10:17:46 AM by dkocher

  • Description modified (diff)

comment:6 Changed on Mar 1, 2011 at 10:17:52 AM by dkocher

  • Component changed from core to ftp
  • Owner set to dkocher

comment:7 Changed on Mar 1, 2011 at 10:21:39 AM by dkocher

Before we dig further into this, can you try switching to the latest snapshot build available.

comment:8 Changed on Mar 11, 2011 at 4:22:14 PM by dkocher

  • Milestone set to 4.0.2
  • Resolution set to worksforme
  • Status changed from new to closed

comment:9 Changed on Mar 11, 2011 at 4:32:57 PM by SteveGram

Sorry! I forgot to report back (development deadline this month).

I downloaded the 4.0.x beta as suggested and it fixed my problem. In fact, it not only allowed me to do the complete download, but it also continued on from the 600+ MB I had already downloaded. The previous version would not allow this nor was it able to complete the download when I tried a fresh one. Therefore, I conclude that whatever was broken is now fixed :-D

Thanks for pointing me to the Beta!

Note: See TracTickets for help on using tickets.
swiss made software